Name:          pipewire
Version:       0.3.1
Release:       1mamba
Summary:       Multimedia processing graphs
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pipewire.org
## GITSOURCE https://github.com/PipeWire/pipewire.git 0.2.6
Source:        https://github.com/PipeWire/pipewire.git/%{version}/pipewire-%{version}.tar.bz2
License:       GPL, LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libalsa-devel
BuildRequires: libdbus-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libjack-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libsbc-devel
BuildRequires: libsndfile-devel
BuildRequires: libsystemd-devel
BuildRequires: libudev-devel
BuildRequires: libvulkan-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Multimedia processing graphs.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

#%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/pipewire/pipewire.conf
%{_bindir}/pipewire
%{_bindir}/pipewire-media-session
%{_bindir}/pw-cat
%{_bindir}/pw-cli
%{_bindir}/pw-dot
%{_bindir}/pw-mon
%{_bindir}/pw-play
%{_bindir}/pw-profiler
%{_bindir}/pw-record
%{_bindir}/spa-inspect
%{_bindir}/spa-monitor
%{_userunitdir}/pipewire.service
%{_userunitdir}/pipewire.socket
%{_mandir}/man1/pipewire.1*
%{_mandir}/man1/pw-cli.1*
%{_mandir}/man1/pw-mon.1*
%{_mandir}/man5/pipewire.conf.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpipewire-*.so.*
%{_libdir}/libjack-pw.so.*
%{_libdir}/libpulse-mainloop-glib-pw.so.*
%{_libdir}/libpulse-pw.so.*
%{_libdir}/libpulse-simple-pw.so.*
%dir %{_libdir}/pipewire-*
%{_libdir}/pipewire-*/libpipewire-module-*.so
%{_libdir}/alsa-lib/libasound_module_pcm_pipewire.so
%{_libdir}/gstreamer-1.0/libgstpipewire.so
%dir %{_libdir}/spa-*
%{_libdir}/spa-*/*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/pipewire-*
%{_includedir}/pipewire-*/*
%dir %{_includedir}/spa-*
%{_includedir}/spa-*/*
%{_libdir}/libpipewire-*.so
%{_libdir}/libjack-pw.so
%{_libdir}/libpulse-mainloop-glib-pw.so
%{_libdir}/libpulse-pw.so
%{_libdir}/libpulse-simple-pw.so
%{_libdir}/pkgconfig/libpipewire-*.pc
%{_libdir}/pkgconfig/libspa-*.pc
%doc NEWS

%changelog
* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Fri Oct 04 2019 Automatic Build System <autodist@mambasoft.it> 0.2.7-1mamba
- automatic version update by autodist

* Sat Jul 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.6-1mamba
- package created using the webbuild interface
